

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.5/css/dataTables.bootstrap4.min.css">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.5.2/css/bootstrap.css">
    <script src="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.5/js/dataTables.bootstrap4.min.js"></script>
    <title>Wallet</title>
</head>
<body>
    <%- include('../layouts/header') -%>

    <div class="card-body">
        <table id="example" class="table table-striped table-bordered" style="width:100%">
          <thead>
            <tr>
                <th>STT</th>
                <th>Tên Tài Khoản</th>
                <!-- <th>CMND Mặt Trước</th>
                <th>CMND Mặt Sau</th> -->
                <th>Ngày Lập</th>
                <th>Trạng Thái</th>
                <th >Action</th>
                <th >View Detail</th>



              </tr>
          </thead>
          <tbody>
            <% user.forEach((u, index) =>{ %>
                <tr>
                <td><%= (index + 1) %></td>
                  <td data-id="<%= u._id %> ">
                    <a href="checkprofile/<%= u._id %>" > <%= u.username %></a> 
                    </td>
                  <!-- <td>
                      <img src="<%= u.OnCard %>"  style="width: 150px; height: 100px;"/>
                  </td>
                  <td>
                    <img src="<%= u.BottomCard %>"  style="width: 150px; height: 100px;"/>

                  </td> -->
                  <td><%= u.time  %></td>
                    <td>
                       Active
                    </td>
                
                  <td class="row">  
                      <div class="col" >
                        <a href="/admin/listActive/blockUser/<%= u._id %>" class="btn btn-success " id="acept" data-id="<%= u._id %>">Block User</a>

                      </div>
                      <div class="col">
                        <a href="/admin/listActive/disable/<%= u._id %>" class="btn btn-danger " id="disable" data-id="<%= u._id %>">Disable User</a>

                      </div>
               

                </td>
            
                    <td>
                        <a href="/admin/viewDetailUser/<%= u._id %>" class="btn btn-primary">View Detail User</a>
                    </td>

               
                    
              

              </tr>
            
              <%  }) %>
          </tbody>
          <tfoot>
            <tr>
                <th>STT</th>
                <th>Tên Tài Khoản</th>
                <!-- <th>CMND Mặt Trước</th>
                <th>CMND Mặt Sau</th> -->
                <th>Ngày Lập</th>
                <th>Trạng Thái</th>
                <th >Action</th>
                <th >View Detail</th>



              </tr>
          </tfoot>
      </table>
      </div>
      <%- include('../layouts/footer') -%>

</body>
</html>




<script>
    $(document).ready(function() {
    $('#example').DataTable();
} );
$('#acept').click(e=>{
    fetch(process.env.hostName+'/admin/listActive/acept'+ id,{
        method:'GET'
    })
    const btn =  e.target;
    const id =  btn.dataset.id
    .then(res => res.json())
    .then(json=>console.log(json))
    .catch(console.log)
})
</script>